GET
Retrieve an artifact

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Path Parameters

id
string
required

Drama ID

no
integer<int32>
required

Episode number

kind
string
required

Artifact kind: brief / outline / plot / asset_check / look / storyboard

Response

OK

One version of a text artifact.

object
string

Object type

Example:

"drama.artifact"

kind
enum<string>

Kind: brief / outline / plot / asset_check / look / storyboard

Available options:
brief,
outline,
plot,
asset_check,
look,
storyboard
Example:

"storyboard"

step
string

Step that produces it

Example:

"storyboard"

version
integer<int32>

Version number

Example:

1

current
boolean

Whether this is the current version

schema_version
integer<int32>

Version of the content structure

Example:

1

source
enum<string>

Source: generated / edited (changed by you)

Available options:
generated,
edited
Example:

"generated"

feedback
string

Note about the change

payload
object

Content

created_at
integer<int64>

Creation time (Unix seconds)